<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="stylesheets/listaAmbientes.css" />
    <title>Eliminar</title>
  </head>
  <body>
    <%- include('navbar') %>
    <main>
      <table id="tabla-activas">
        <thead>
          <h3>Lista de Ambientes activas</h3>
          <tr>
            <th>Nombre</th>
            <th>Capacidad</th>
            <th>Descripcion</th>
            <th>Tipo</th>
            <th>Activo</th>
            <th>Desactivar</th>
          </tr>
        </thead>

        <% if (ambientes.length > 0) { %>
        <tbody id="tabla-content-activas">
          <% for (let amb of ambientes) { %> <% if(amb.activo){ %>
          <tr data-id="<%= amb.id %>">
            <td><%= amb.nombreAmbiente %></td>
            <td><%= amb.capacidad %></td>
            <td><%= amb.descripcion %></td>
            <td><%= amb.nombreTipo %></td>
            <td><%= amb.activo %></td>
            <td><a class="eliminar">desactivar</a></td>
          </tr>
          <% } %> <% } %>
        </tbody>
        <% } else { %> <% } %>
      </table>

      <table id="tabla-desactivas">
        <thead>
          <h3>Lista de Ambientes desactivas</h3>
          <tr>
            <th>Nombre</th>
            <th>Capacidad</th>
            <th>Descripcion</th>
            <th>Tipo</th>
            <th>Activo</th>
            <th>Activar</th>
          </tr>
        </thead>
        <% if (ambientes.length > 0) { %>
        <tbody id="tabla-content-desactivas">
          <% for (let amb of ambientes) { %> <% if(!amb.activo){ %>
          <tr data-id="<%= amb.id %>">
            <td><%= amb.nombreAmbiente %></td>
            <td><%= amb.capacidad %></td>
            <td><%= amb.descripcion %></td>
            <td><%= amb.nombreTipo %></td>
            <td><%= amb.activo %></td>
            <td><a class="eliminar">desactivar</a></td>
          </tr>
          <% } %> <% } %>
        </tbody>

        <% } else { %> <% } %>
      </table>
    </main>
    <script src="scripts/eliminarAmbientes.js" type="module"></script>
  </body>
</html>
